org.apache.maven.scm.provider.accurev

## Class AccuRevScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.accurev.AccuRevScmProvider

All Implemented Interfaces:
  ScmProvider

    public class AccuRevScmProvider
    extends AbstractScmProvider

Implementation of Accurev integration with Maven SCM

Version:
  $Id: AccuRevScmProvider.java 691810 2008-09-03 22:38:28Z vsiveton $

### Field Summary

### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AccuRevScmProvider()`

### Method Summary

Methods
`protected AddScmResult` `add(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`static void` `appendHostToParamsIfNeeded(AccuRevScmProviderRepository repository, List params)` Append host (-H) parameter to the params list if the repository has this information
`protected BaseAccuRevCheckOutCommand[]` `buildCheckOutCommands()`
`protected CheckOutScmResult` `checkout(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected String` `getAccurevExecutable()`
`String` `getScmType()`
`protected LoginScmResult` `login(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`ScmProviderRepository` `makeProviderScmRepository(String scmSpecificUrl, char delimiter)`

### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

`add, add, addListener, branch, branch, branch, branch, changelog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkin, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, diff, edit, edit, export, export, export, export, export, export, getLogger, getScmSpecificFilename, list, list, list, makeProviderScmRepository, remove, remove, requiresEditMode, sanitizeTagName, status, status, tag, tag, tag, tag, unedit, unedit, update, update, update, update, update, update, update, update, update, update, update, update, update, validateScmUrl, validateTagName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccuRevScmProvider

    public AccuRevScmProvider()

### Method Detail

#### getScmType

    public String getScmType()

#### getAccurevExecutable

    protected String getAccurevExecutable()

#### makeProviderScmRepository

    public ScmProviderRepository makeProviderScmRepository(String scmSpecificUrl,
                                                  char delimiter)
                                                    throws ScmRepositoryException

Throws:
  `ScmRepositoryException`

#### login

    protected LoginScmResult login(ScmProviderRepository repository,
                       ScmFileSet fileSet,
                       CommandParameters parameters)
                            throws ScmException

Overrides:
  `login` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkout

    protected CheckOutScmResult checkout(ScmProviderRepository repository,
                             ScmFileSet fileSet,
                             CommandParameters parameters)
                                  throws ScmException

Overrides:
  `checkout` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### add

    protected AddScmResult add(ScmProviderRepository repository,
                   ScmFileSet fileSet,
                   CommandParameters parameters)
                        throws ScmException

Overrides:
  `add` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### buildCheckOutCommands

    protected BaseAccuRevCheckOutCommand[] buildCheckOutCommands()

#### appendHostToParamsIfNeeded

    public static void appendHostToParamsIfNeeded(AccuRevScmProviderRepository repository,
                                  List params)

Append host (-H) parameter to the params list if the repository has this information

Parameters:
  `repository` - AccuRevScmProviderRepository
  `params` - Parameters